package org.prlab.idic.privacypolicy;

import android.app.Activity;
import android.os.Bundle;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import org.prlab.idic.privacypolicy.adapter.InfoItemRecyclerViewAdapter;
import org.prlab.idic.privacypolicy.pojo.report.InfoItem;
import org.prlab.idic.privacypolicy.pojo.report.device.Device;

import java.util.LinkedList;
import java.util.List;

/**
 * Created by IDIC on 2017/2/22.
 */
public class DialogDeviceInfoActivity extends Activity {

    private Device mDevice;
    private List<InfoItem> items = new LinkedList<>();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.actiivty_dialog_device_info);

        mDevice = getIntent().getParcelableExtra(getString(R.string.intent_device_info_key));
        initInfo();
        initView();
    }

    private void initInfo() {
        items.add(new InfoItem()
                .setKey(getString(R.string.device_udn_key))
                .setValue(mDevice.getUDN()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_name_key))
                .setValue(mDevice.getName()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_type_key))
                .setValue(mDevice.getType().name()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_manufacturer_name_key))
                .setValue(mDevice.getManufacturer().getName()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_manufacturer_url_key))
                .setValue(mDevice.getManufacturer().getUrl()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_manufacturer_serial_number_key))
                .setValue(mDevice.getManufacturer().getSerialNumber()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_model_name_key))
                .setValue(mDevice.getModel().getName()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_model_url_key))
                .setValue(mDevice.getModel().getUrl()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_model_description_key))
                .setValue(mDevice.getModel().getDescription()));
        items.add(new InfoItem()
                .setKey(getString(R.string.device_upc_key))
                .setValue(mDevice.getUPC()));
    }

    private void initView() {
        RecyclerView mInfoRecyclerView = (RecyclerView) findViewById(R.id.layout_device_info);
        RecyclerView.Adapter mInfoRecyclerViewAdapter = new InfoItemRecyclerViewAdapter(items, false);
        mInfoRecyclerView.setAdapter(mInfoRecyclerViewAdapter);

//        RecyclerView mIconRecyclerView = (RecyclerView) findViewById(R.id.layout_device_icon);
//        if (mDevice.getIcons() != null && mDevice.getIcons().size() > 0) {
//            RecyclerView.Adapter mIconRecyclerViewAdapter = new IconItemRecyclerViewAdapter(mDevice.getIcons());
//            mIconRecyclerView.setAdapter(mIconRecyclerViewAdapter);
//        } else  {
//            mIconRecyclerView.setVisibility(View.GONE);
//        }
    }

    public void onBackButtonClick(View view) {
        finish();
    }

}
