package org.prlab.idic.privacypolicy.adapter;

import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import org.prlab.idic.privacypolicy.R;
import org.prlab.idic.privacypolicy.pojo.report.device.Icon;

import java.util.List;

/**
 * Created by IDIC on 2017/2/23.
 */
public class IconItemRecyclerViewAdapter extends RecyclerView.Adapter<IconItemRecyclerViewAdapter.ViewHolder> {

    private List<Icon> icons;

    public IconItemRecyclerViewAdapter(List<Icon> icons) {
        this.icons = icons;
    }

    @Override
    public IconItemRecyclerViewAdapter.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.recycler_view_item_horizontally, parent, false);
        return new IconItemRecyclerViewAdapter.ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        holder.bind(position);
    }

    @Override
    public int getItemCount() {
        return null == icons ? 0 : icons.size();
    }

    class ViewHolder extends RecyclerView.ViewHolder {

        private ImageView mIconImageView;

        ViewHolder(View itemView) {
            super(itemView);
            mIconImageView = (ImageView) itemView.findViewById(R.id.image_icon);
        }

        void bind(int listIndex) {
            Icon icon = icons.get(listIndex);
            Bitmap bitmap = BitmapFactory.decodeByteArray(icon.getBytes(), 0, icon.getBytes().length);
            mIconImageView.setImageBitmap(bitmap);
        }

    }

}
