package org.prlab.idic.privacypolicy.adapter;

import android.support.v7.widget.RecyclerView;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import org.prlab.idic.privacypolicy.R;
import org.prlab.idic.privacypolicy.pojo.report.InfoItem;

import java.util.List;

/**
 * Created by IDIC on 2017/2/23.
 */
public class InfoItemRecyclerViewAdapter extends RecyclerView.Adapter<InfoItemRecyclerViewAdapter.ViewHolder> {

    private List<InfoItem> items;
    private boolean isVertical;

    public InfoItemRecyclerViewAdapter(List<InfoItem> items) {
        this.isVertical = true;
        this.items = items;
    }

    public InfoItemRecyclerViewAdapter(List<InfoItem> items, boolean isVertical) {
        this.isVertical = isVertical;
        this.items = items;
    }

    @Override
    public InfoItemRecyclerViewAdapter.ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.recycler_view_item_horizontally, parent, false);
        return new InfoItemRecyclerViewAdapter.ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        holder.bind(position);
    }

    @Override
    public int getItemCount() {
        return null == items ? 0 : items.size();
    }

    class ViewHolder extends RecyclerView.ViewHolder {

        private TextView mKeyTextView;
        private TextView mValueTextView;

        ViewHolder(View itemView) {
            super(itemView);
            View view = itemView.findViewById(R.id.item_info);
            mKeyTextView = (TextView) view.findViewById(R.id.text_key);
            mValueTextView = (TextView) view.findViewById(R.id.text_value);
        }

        void bind(int listIndex) {
            InfoItem item = items.get(listIndex);
            mKeyTextView.setText(item.getKey());
            mValueTextView.setText(item.getValue());
            if (isVertical && listIndex == 0) {
                // title box
            }
        }

    }

}
