package org.prlab.idic.privacypolicy.adapter;

import android.content.res.Resources;
import android.support.v4.content.res.ResourcesCompat;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import org.prlab.idic.privacypolicy.R;
import org.prlab.idic.privacypolicy.pojo.Message;

import java.util.List;

/**
 * Created by IDIC on 2017/1/20.
 */

public class MessageRecyclerViewAdapter extends RecyclerView.Adapter<MessageRecyclerViewAdapter.ViewHolder> {

    private final int COLOR_MARKED;
    private final int COLOR_TEXT;
    private List<Message> messages;

    public MessageRecyclerViewAdapter(Resources resources, List<Message> messages) {
        this.COLOR_MARKED = ResourcesCompat.getColor(resources, R.color.colorAccent, null);
        this.COLOR_TEXT = ResourcesCompat.getColor(resources, R.color.colorText, null);
        this.messages = messages;
    }

    @Override
    public ViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View view = LayoutInflater.from(parent.getContext()).inflate(R.layout.recycler_view_message_item, parent, false);
        return new MessageRecyclerViewAdapter.ViewHolder(view);
    }

    @Override
    public void onBindViewHolder(ViewHolder holder, int position) {
        holder.bind(position);
    }

    @Override
    public int getItemCount() {
        return messages.size();
    }

    class ViewHolder extends RecyclerView.ViewHolder {

        private TextView mEventTextView;
        private TextView mContentTextView;

        ViewHolder(View itemView) {
            super(itemView);
            mEventTextView = (TextView) itemView.findViewById(R.id.text_view_message_event);
            mContentTextView = (TextView) itemView.findViewById(R.id.text_view_message_content);
        }

        void bind(int listIndex) {
            Message message = messages.get(listIndex);
            mEventTextView.setText(String.valueOf(message.getEvent()));
            mContentTextView.setText(String.valueOf(message.getContent()));
            mContentTextView.setTextColor(message.isMarked() ? COLOR_MARKED : COLOR_TEXT);
        }

    }

}
