package org.prlab.idic.privacypolicy.pojo.report;

import java.util.Collections;
import java.util.LinkedList;
import java.util.List;

/**
 * Created by IDIC on 2017/2/22.
 */
public class Layer {

    private String UUID;
    private List<Integer> policies = new LinkedList<>();
    private List<Layer> subLayers = new LinkedList<>();

    public String getUUID() {
        return UUID;
    }

    public Layer setUUID(String UUID) {
        this.UUID = UUID;
        return this;
    }

    public List<Integer> getPolicies() {
        return policies;
    }

    public Layer setPolicies(List<Integer> policies) {
        this.policies = policies;
        return this;
    }

    public List<Layer> getSubLayers() {
        return subLayers;
    }

    public Layer setSubLayers(List<Layer> subLayers) {
        this.subLayers = subLayers;
        return this;
    }

    public Layer addPrivacyPolicy(Integer policy) {
        if (null != policies) this.policies.add(policy);
        return this;
    }

    public Layer addSubLayer(Layer layer) {
        if (null != subLayers) this.subLayers.add(layer);
        return this;
    }

    public int getLayerLevel() {
        if (null == subLayers || subLayers.isEmpty()) return 0;
        List<Integer> counter = new LinkedList<>();
        for (Layer layer : subLayers) {
            counter.add(1 + layer.getLayerLevel());
        }
        return Collections.max(counter);
    }

}
