package org.prlab.idic.privacypolicy.pojo.report;


import android.os.Parcel;
import android.os.Parcelable;
import org.prlab.idic.privacypolicy.pojo.report.p3p.*;

import java.util.LinkedList;
import java.util.List;

/**
 * Created by IDIC on 2017/2/16.
 */
public class PrivacyPolicy implements Parcelable {

    private int id;
    private String description;
    private Collector collector;
    private Dispute dispute;
    private Access access;
    private List<Statement> statements = new LinkedList<>();

    public PrivacyPolicy() {
    }

    private PrivacyPolicy(Parcel in) {
        id = in.readInt();
        description = in.readString();
        collector = in.readParcelable(Collector.class.getClassLoader());
        dispute = in.readParcelable(Dispute.class.getClassLoader());
        access = in.readParcelable(Access.class.getClassLoader());
        statements = in.createTypedArrayList(Statement.CREATOR);
    }

    public static final Creator<PrivacyPolicy> CREATOR = new Creator<PrivacyPolicy>() {
        @Override
        public PrivacyPolicy createFromParcel(Parcel in) {
            return new PrivacyPolicy(in);
        }

        @Override
        public PrivacyPolicy[] newArray(int size) {
            return new PrivacyPolicy[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(id);
        dest.writeString(description);
        dest.writeParcelable(collector, flags);
        dest.writeParcelable(dispute, flags);
        dest.writeParcelable(access, flags);
        dest.writeTypedList(statements);
    }

    public int getId() {
        return id;
    }

    public PrivacyPolicy setId(int id) {
        this.id = id;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public PrivacyPolicy setDescription(String description) {
        this.description = description;
        return this;
    }

    public Collector getCollector() {
        return collector;
    }

    public PrivacyPolicy setCollector(Collector collector) {
        this.collector = collector;
        return this;
    }

    public Dispute getDispute() {
        return dispute;
    }

    public PrivacyPolicy setDispute(Dispute dispute) {
        this.dispute = dispute;
        return this;
    }

    public Access getAccess() {
        return access;
    }

    public PrivacyPolicy setAccess(Access access) {
        this.access = access;
        return this;
    }

    public List<Statement> getStatements() {
        return statements;
    }

    public PrivacyPolicy setStatements(List<Statement> statements) {
        this.statements = statements;
        return this;
    }

    public PrivacyPolicy addStatement(Statement statement) {
        if (null != this.statements) this.statements.add(statement);
        return this;
    }
}
