package org.prlab.idic.privacypolicy.pojo.report.p3p;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by IDIC on 2017/2/16.
 */
public class Datum implements Parcelable {

    private Type type;
    private String description;

    public Datum() {
    }

    private Datum(Parcel in) {
        description = in.readString();
        type = Type.valueOf(in.readString());
    }

    public static final Creator<Datum> CREATOR = new Creator<Datum>() {
        @Override
        public Datum createFromParcel(Parcel in) {
            return new Datum(in);
        }

        @Override
        public Datum[] newArray(int size) {
            return new Datum[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(description);
        dest.writeString(type.name());
    }

    public Type getType() {
        return type;
    }

    public Datum setType(Type type) {
        this.type = type;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public Datum setDescription(String description) {
        this.description = description;
        return this;
    }

    public enum Type {
        PHSICAL, ONLINE, UNIQUEID, PURCHASE,
        FINANCIAL, COMPUTER, NAVIGATION, INTERACTIVE,
        DEMOGRAPHIC, CONTENT, STATE, POLITICAL,
        HEALTH, PREFERENCE, LOCATION, GOVERNMENT, OTHER_CATEGORY
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Datum datum = (Datum) o;

        if (type != datum.type) return false;
        return description != null ? description.equals(datum.description) : datum.description == null;
    }

    @Override
    public int hashCode() {
        int result = type != null ? type.hashCode() : 0;
        result = 31 * result + (description != null ? description.hashCode() : 0);
        return result;
    }
}
