package org.prlab.idic.privacypolicy.pojo.report.p3p;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by IDIC on 2017/2/16.
 */
public class Purpose implements Parcelable {

    private Type type;
    private String description;

    public Purpose() {
    }

    protected Purpose(Parcel in) {
        description = in.readString();
        type = Type.valueOf(in.readString());
    }

    public static final Creator<Purpose> CREATOR = new Creator<Purpose>() {
        @Override
        public Purpose createFromParcel(Parcel in) {
            return new Purpose(in);
        }

        @Override
        public Purpose[] newArray(int size) {
            return new Purpose[size];
        }
    };

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(description);
        dest.writeString(type.name());
    }

    public Type getType() {
        return type;
    }

    public Purpose setType(Type type) {
        this.type = type;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public Purpose setDescription(String description) {
        this.description = description;
        return this;
    }

    public enum Type {
        CURRENT, ADMIN, DEVELOP, TAILORING,
        PSEUDO_ANALYSIS, PSEUDO_DECISION, INDIVIDUAL_ANALYSIS, INDIVIDUAL_DECISION,
        CONTACT, HISTORICAL, TELEMARKETING, OTHER_PURPOSE
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Purpose purpose = (Purpose) o;

        if (type != purpose.type) return false;
        return description != null ? description.equals(purpose.description) : purpose.description == null;
    }

    @Override
    public int hashCode() {
        int result = type != null ? type.hashCode() : 0;
        result = 31 * result + (description != null ? description.hashCode() : 0);
        return result;
    }
}
