package org.prlab.idic.privacypolicy.storage;

import android.net.Uri;
import android.provider.BaseColumns;

/**
 * Created by IDIC on 2017/2/18.
 */
public class PrivacyPolicyContract {

    public static final String CONTENT_AUTHORITY = "org.prlab.idic.privacypolicy";

    public static final Uri BASE_CONTENT_URI = Uri.parse("content://" + CONTENT_AUTHORITY);

    public static final String PATH_PRIVACY_POLICY = "privacy_policy";

    public static final class PolicyEntry implements BaseColumns {

        public static final Uri CONTENT_URI = BASE_CONTENT_URI.buildUpon()
                .appendPath(PATH_PRIVACY_POLICY)
                .build();

        public static final String TABLE_NAME = "policies";

        public static final String COLUMN_MAC = "mac";
        public static final String COLUMN_UUIDs = "uuid";
        public static final String COLUMN_PREFERENCE = "preference";

    }

    public static String getSqlSelectForMACAndUUIDsOnwards() {
        return PolicyEntry.COLUMN_MAC + " = ? " + " AND " +
                PolicyEntry.COLUMN_UUIDs + " = ? ";
    }

    public static String getSqlSelectForMACAndRelatedUUIDsOnwards() {
        return PolicyEntry.COLUMN_MAC + " = ? " + " AND " +
                PolicyEntry.COLUMN_UUIDs + " LIKE ? ";
    }

}
