package org.prlab.idic.privacypolicy.storage;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

/**
 * Created by IDIC on 2017/2/18.
 */
public class PrivacyPolicyDbHelper extends SQLiteOpenHelper {

    private static final String DATABASE_NAME = "privacy_policy.db";
    private static final int DATABASE_VERSION = 1;

    public PrivacyPolicyDbHelper(Context context) {
        super(context, DATABASE_NAME, null, DATABASE_VERSION);
    }

    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("CREATE TABLE " + PrivacyPolicyContract.PolicyEntry.TABLE_NAME + " (" +
                PrivacyPolicyContract.PolicyEntry.COLUMN_MAC + " CHAR(12) NOT NULL, " +
                PrivacyPolicyContract.PolicyEntry.COLUMN_UUIDs + " TEXT NOT NULL, " +
                PrivacyPolicyContract.PolicyEntry.COLUMN_PREFERENCE + " TEXT," + "PRIMARY KEY (" +
                PrivacyPolicyContract.PolicyEntry.COLUMN_MAC + ", " +
                PrivacyPolicyContract.PolicyEntry.COLUMN_UUIDs + "));");
    }

    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        db.execSQL("DROP TABLE IF EXISTS " + PrivacyPolicyContract.PolicyEntry.TABLE_NAME);
        onCreate(db);
    }


}
